List emails
curl --request GET \
--url https://inboundr.net/api/v1/emails \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboundr.net/api/v1/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://inboundr.net/api/v1/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inboundr.net/api/v1/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "em_abc123",
"direction": "inbound",
"threadId": "thr_xyz789",
"messageId": "<CAEabc...@mail.gmail.com>",
"fromAddress": "customer@example.com",
"toAddresses": ["support@yourdomain.com"],
"subject": "Can you help?",
"spamVerdict": "PASS",
"attachmentCount": 1,
"receivedAt": "2026-07-20T10:30:00.000Z"
}
],
"nextCursor": "MjAyNi0w…"
}
Emails
List emails
Newest-first list of email summaries with cursor pagination.
GET
/
api
/
v1
/
emails
List emails
Returns email summaries (no bodies), newest first, with
cursor pagination.
string
Filter by
inbound or outbound.string
Only emails addressed (To or Cc) to this address (case-insensitive).
string
Only emails in this thread.
integer
default:"50"
Page size, 1–100.
string
nextCursor from a previous response.{
"data": [
{
"id": "em_abc123",
"direction": "inbound",
"threadId": "thr_xyz789",
"messageId": "<CAEabc...@mail.gmail.com>",
"fromAddress": "customer@example.com",
"toAddresses": ["support@yourdomain.com"],
"subject": "Can you help?",
"spamVerdict": "PASS",
"attachmentCount": 1,
"receivedAt": "2026-07-20T10:30:00.000Z"
}
],
"nextCursor": "MjAyNi0w…"
}
string | null
Pass back as
cursor for the next page; null when there are no more.⌘I